# $Revision: 1.13 $, $Date: 2002/06/14 12:19:57 $
Summary:	A software watchdog
Summary(pl):	Programowy stranik
Name:		watchdog
Version:	5.2
Release:	3
License:	GPL
Group:		Applications/System
Vendor:		Michael Meskes <meskes@debian.org>
Source0:	ftp://tsx-11.mit.edu/pub/linux/sources/sbin/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
BuildRequires:	autoconf
BuildRequires:	automake
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The watchdog program writes to /dev/watchdog every ten seconds. If the
device is open but not written to within a minute the machine will
reboot. Each write delays the reboot time another minute. The ability
to reboot will depend on the state of the machines and interrupts. To
use this software at least a version 1.3.52 kernel is needed.

%description -l pl
Program watchdog zapisuje do /dev/watchdog co 10 sekund. Jeeli
urzdzenie jest otwarte, ale nic nie zostanie zapisane przez minut,
maszyna si zrebootuje. Kady zapis opnia reboot o minut. Moliwo
rebootu zaley od stanu maszyny i przerwa. Do tego programu potrzebne
jest jdro w wersji co najmniej 1.3.52.

%prep
%setup -q

%build
rm -f missing
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/watchdog
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/watchdog

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add watchdog
if [ -f /var/lock/subsys/watchdog ]; then
	/etc/rc.d/init.d/watchdog restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/watchdog start\" to start watchdog daemon."
fi

%preun
if [ "$1" = 0 ] ; then
	if [ -f /var/lock/subsys/watchdog ]; then
		/etc/rc.d/init.d/watchdog stop 1>&2
	fi
	/sbin/chkconfig --del watchdog
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README NEWS AUTHORS IAFA-PACKAGE TODO examples/*
%{_mandir}/man?/*
%attr(755,root,root) %{_sbindir}/watchdog
%attr(755,root,root) %config /etc/rc.d/init.d/watchdog
%attr(755,root,root) %config /etc/sysconfig/watchdog
%config(noreplace) %{_sysconfdir}/watchdog.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: watchdog.spec,v $
Revision 1.13  2002/06/14 12:19:57  kloczek
- simplification in %build.

Revision 1.12  2002/06/14 10:16:03  blues
- release 3
- new doc
STBR

Revision 1.11  2002/05/21 23:14:54  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/08 15:22:53  qboosh
- s/postun/preun/ (init.d/watchdog must exist to stop daemon); release 2

Revision 1.6  2001/12/21 09:49:08  blues
- 5.2 (previous was not working anyway...)
- adapterized
- added rewritten init script
- configure macro used - BR added
- docs gziped
- post rewritten - devices making is in dev.spec now
NOTE: there is still nedded to make some changes in rc-scripts (see
comments at the beggining of watchdog.init), but this one works

Revision 1.5  2001/09/25 14:25:54  qboosh
- Prereq: /sbin/chkconfig
- pl translations
TODO: at least something with devices creation in post...

Revision 1.4  2001/08/02 17:56:41  agaran
adapterized (almost only)

* Mon Jul 19 1999 Peter Soos <sp@osb.hu>
- Modify the spec file to build the package as an ordinary user
- Added %changelog
- Added %config and %attr macros
- Rebuilt under RedHat Linux 6.0
